Subject: [Gendispatch] Fwd: I-D Action: draft-carpenter-gendispatch-rfc7221bis-01.txt

From: Brian E Carpenter <[email-masked]>
Date: Fri, 30 Oct 2020 13:40:59 +1300

Hi,

This draft replaces draft-carpenter-gendispatch-draft-adoption.

The 00 version is essentially identical to RFC 7221, as a basis for comparison.

The 01 version adds in new material (from draft-carpenter-draft-adoption) but as informative text (not BCP-style text). So the diffs (URL below) show what we are proposing to change.

Comments most welcome.

  Brian + co-authors

-------- Forwarded Message --------

Subject: I-D Action: draft-carpenter-gendispatch-rfc7221bis-01.txt
Date: Thu, 29 Oct 2020 17:26:54 -0700
From: [email-masked]
Reply-To: [email-masked]
To: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Handling and Adoption of Internet-Drafts by IETF Working Groups
        Authors         : Adrian Farrel
                          Dave Crocker
                          Brian E. Carpenter
                          Fernando Gont
                          Michael Richardson
	Filename        : draft-carpenter-gendispatch-rfc7221bis-01.txt
	Pages           : 17
	Date            : 2020-10-29

Abstract:
   The productive output of an IETF working group is documents, as
   mandated by the working group's charter.  When a working group is
   ready to develop a particular document, the most common mechanism is
   for it to "adopt" an existing document as a starting point.  The
   document that a working group adopts and then develops further is
   based on initial input at varying levels of maturity.  An initial
   working group draft might be a document already in wide use, or it
   might be a blank sheet, wholly created by the working group, or it
   might represent any level of maturity in between.  This document
   discusses how a working group typically handles the formal documents
   that it targets for publication.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-carpenter-gendispatch-rfc7221bis/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-carpenter-gendispatch-rfc7221bis-01.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-carpenter-gendispatch-rfc7221bis-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 30 Oct 2020 16:37:59 -0000

Hi,

Thanks Brian for posting this update.

I thought it might be worth speaking up as, an original author of 7221, to say what I think the new contributing authors want to see added (although, perhaps this is obvious from the diffs).

Section 2.1 expands on the brief statements in 1.1 and 1.2 as to what it means to be an adopted draft. One point that needs clarification, in this section is, I think where it says " all future substantive changes to the draft require WG consensus and are no longer at the authors' sole discretion" and "substantive changes must be referred to the WG and require WG rough consensus, consistently with [RFC2418]." This is absolutely true, but it might be taken to imply that the changes need to be approved with rough consensus before the document is edited. In practice, the editor may discuss the concepts in advance, but will often make edits into the document and then discuss them to see whether consensus can be reached, modifying the text in future revisions as necessary.
(Oh, and s/consistently/consistent/)

Section 2.2 adds some clarity on the formality and necessity of a call for adoption as part of the process.

Section 5.2 adds, IMHO, far too much process detail for what is a relatively rare corner case where a WG abandons a draft it has previously been adopted. The original text was, perhaps, a little sparse, but this new text seems a bit much. Whatever, the final bullet should observe that the document name should change to something that does not imply WG ownership.

The rest of the changes are fairly minor clarifications. But I think an important point is added (Section 2.4) that WG chairs should consider "Is the work in conflict with work elsewhere in the IETF?" This is, of course, not always going to be clear to WG chairs who operate in the comfort of their own WG, so it might be helpful to note that the responsible AD should be able to help with this question.

Best,
Adrian

-----Original Message-----
From: Brian E Carpenter <[email-masked]> 
Sent: 30 October 2020 01:09
To: [email-masked]
Subject: Fwd: Fwd: I-D Action: draft-carpenter-gendispatch-rfc7221bis-01.txt

This is a resend. Apparently the alias was not valid when I sent it the first time.
Please direct any reply to [email-masked]

   Brian

-------- Forwarded Message --------
Subject: Fwd: I-D Action: draft-carpenter-gendispatch-rfc7221bis-01.txt
Date: Fri, 30 Oct 2020 13:40:59 +1300
From: Brian E Carpenter <[email-masked]>
Organization: University of Auckland
To: [email-masked]
CC: [email-masked]

Hi,

Comments most welcome.

  Brian + co-authors

-------- Forwarded Message --------

Abstract: